FruxonDocs
ApiKnowledge bases

Lists the tenant's knowledge bases.

Returns active knowledge bases for the current tenant. Archived knowledge bases are hidden from this collection but remain available to agents that still reference their backing assets.

GET
/v1/tenants/{tenant}/knowledgeBases
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

tenant*string

The tenant identifier

Query Parameters

PageSize?integer

The maximum number of items to return per page

Formatint32
PageToken.Skip?integer
Formatint32
PageToken.Cursor?string

Opaque cursor token from an external system (e.g. RAG API). When set, M:Fruxon.Common.Collections.PageToken.AsString returns this value directly instead of encoding Fruxon.Common.Collections.PageToken.Skip.

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/knowledgeBases"
{
  "items": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "displayName": "string",
      "description": "string",
      "locale": "string",
      "backingAssetId": "string",
      "status": "ACTIVE",
      "lastPublishedAt": 0,
      "publishState": "NONE",
      "lastPublishError": "string",
      "lastPublishErrorCategory": "CREDENTIALS",
      "createdAt": 0,
      "modifiedAt": 0
    }
  ],
  "nextPageToken": "string",
  "totalCount": 0
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}